Summary: A version of the MIT Athena widget set for X
Name: Xaw3d
Version: 1.5E
Release: 15.1%{?dist}
Group: System Environment/Libraries
Source: ftp://ftp.visi.com/users/hawkeyd/X/Xaw3d-%{version}.tar.gz
Patch: Xaw3d-1.5E-xorg-imake.patch
Patch1: xaw3d.patch
Patch2: Xaw3d-ia64.patch
Patch3: Xaw3d-1.5-i18n.patch
Patch4: Xaw3d-1.5-box.c.patch
Patch5: Xaw3d-1.5-debian-fixes.patch
Patch6: Xaw3d-1.5E-warnings.patch
License: MIT
URL: http://directory.fsf.org/project/xaw3d/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libXmu-devel
BuildRequires: libXt-devel
BuildRequires: libSM-devel
BuildRequires: libXext-devel
BuildRequires: libX11-devel
BuildRequires: libXpm-devel
BuildRequires: imake
BuildRequires: bison
BuildRequires: flex
BuildRequires: ed

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

%package devel
Summary: Header files and static libraries for development using Xaw3d
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libXmu-devel
Requires: libXt-devel
Requires: libSM-devel
Requires: libXext-devel
Requires: libX11-devel
Requires: libXpm-devel

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and static libraries for developing programs that take
full advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.


%prep
%setup -q -c
# Xaw3d7
pushd xc/lib/Xaw3d
ln -s .. X11
%patch -p0 -b .config
popd
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1


%build
# Xaw3d7
pushd xc/lib/Xaw3d
xmkmf
make CDEBUGFLAGS="${RPM_OPT_FLAGS} -DARROW_SCROLLBAR"
popd


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT SHLIBDIR=%{_libdir} INCDIR=%{_includedir} -C xc/lib/Xaw3d


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc xc/lib/Xaw3d/README.XAW3D
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_includedir}/X11/Xaw3d


%changelog

